@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');

:root {
  --roxoPrincipal: #7F4396;
  --roxoPrincipal-hover: #76378f11;
  --roxoPrincipal-hover2: #76378f;
  --roxo-primary-hover: #9b58b4;
  --verdePrincipal: #92cbad;
  --branco: #FFF;
  --preto: #000;
  --cinzaBorda: #ccc;
  --cinzaEscuro: #6e6e6e;
  --fontePrincipal: 'Inter';
  --corFundo: #e4e9f7;
}


body {
  font-family: var(--fontePrincipal);
}



.messages-container {
  margin: 20px;
}

.alert {
  padding: 12px 16px;
  border-radius: 8px;
  margin-bottom: 10px;
  position: absolute;
  top: 1.5em;
  right: 1.5em;
  font-size: 15px;
  border: 1px solid;
}

.alert .icon {
  margin-right: 10px;
}

.alert.success {
  background-color: #d4edda;
  color: #155724;
  border-color: #c3e6cb;
}

.alert.warning {
  background-color: #fff3cd;
  color: #856404;
  border-color: #ffeeba;
}

.alert.error {
  background-color: #f8d7da;
  color: #721c24;
  border-color: #f5c6cb;
}

.alert.info {
  background-color: #d1ecf1;
  color: #0c5460;
  border-color: #bee5eb;
}

.alert .close {
  background: none;
  border: none;
  font-size: 18px;
  cursor: pointer;
  margin-left: 20px;
  color: inherit;
}
 

.confirmation-container {
  display: none;
  width: 300px;
  height: fit-content;
  background: var(--branco);
  border-radius: 20px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 20px;
  padding: 30px;
  position: relative;
  box-shadow: rgba(50, 50, 93, 0.25) 0px 6px 12px -2px, rgba(0, 0, 0, 0.3) 0px 3px 7px -3px;
}

.card-content {
  width: 100%;
  height: fit-content;
  display: flex;
  flex-direction: column;
  gap: 5px;
}

.card-heading {
  font-size: 20px;
  font-weight: 700;
  color: rgb(27, 27, 27);
}

.card-description {
  font-weight: 400;
  color: var(--cinzaEscuro);
}

.card-button-wrapper {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 10px;
}

.card-button {
  width: 50%;
  height: 35px;
  border-radius: 10px;
  border: none;
  cursor: pointer;
  font-weight: 600;
}

.primary {
  background-color: var(--roxoPrincipal);
  color: white;
}

.primary:hover {
  background-color: var(--roxo-primary-hover);
}

.secondary {
  background-color: #ddd;
}

.secondary:hover {
  background-color: rgb(197, 197, 197);
}

.exit-button {
  display: flex;
  align-items: center;
  justify-content: center;
  border: none;
  background-color: transparent;
  position: absolute;
  top: 20px;
  right: 20px;
  cursor: pointer;
}

.exit-button:hover svg {
  fill: black;
}

.exit-button svg {
  fill: rgb(175, 175, 175);
}